commit:     ef7a79a4c856d9737cd85bcae0b934a58a5ea115
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 11:19:56 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef7a79a4

sci-calculators/hexcalc: fix build with -native-symlinks

Closes: https://bugs.gentoo.org/725330
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sci-calculators/hexcalc/hexcalc-1.11-r3.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/sci-calculators/hexcalc/hexcalc-1.11-r3.ebuild 
b/sci-calculators/hexcalc/hexcalc-1.11-r3.ebuild
index e7618165080..c9740ad088e 100644
--- a/sci-calculators/hexcalc/hexcalc-1.11-r3.ebuild
+++ b/sci-calculators/hexcalc/hexcalc-1.11-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -16,15 +16,19 @@ IUSE=""
 
 RDEPEND="x11-libs/libXaw"
 DEPEND="${RDEPEND}
-       x11-misc/imake
+       >=x11-misc/imake-1.0.8-r1
        app-text/rman"
 
 S=${WORKDIR}/${PN}
 
 PATCHES=( "${FILESDIR}"/${PN}-{keypad,order}.diff )
 
+src_configure() {
+       CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
+}
+
 src_compile() {
-       xmkmf || die
        emake \
                CC="$(tc-getCC)" \
                CFLAGS="${CFLAGS}" \

Reply via email to